> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminbenchmarkhistory



## OpenAPI

````yaml /openapi.json get /admin/benchmark/history
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /admin/benchmark/history:
    get:
      tags:
        - Admin
      operationId: get-admin-benchmark-history
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/BenchmarkHistoryResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    BenchmarkHistoryResponse:
      type: object
      title: BenchmarkHistoryResponse
      required:
        - runs
        - total
      properties:
        runs:
          type: array
          items:
            $ref: '#/components/schemas/BenchmarkRunEntry'
        total:
          type: integer
          format: uint64
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    BenchmarkRunEntry:
      type: object
      title: BenchmarkRunEntry
      required:
        - session_id
        - created_at
      properties:
        session_id:
          type: string
        transcription_job_id:
          type: string
        summarisation_job_id:
          type: string
        hirag_job_id:
          type: string
        transcription_wall_clock_secs:
          type: number
          format: double
        summarisation_wall_clock_secs:
          type: number
          format: double
        hirag_wall_clock_secs:
          type: number
          format: double
        transcription_gpu_usage_pct:
          type: number
          format: double
        transcription_gpu_memory_peak_mb:
          type: number
          format: double
        summarisation_gpu_usage_pct:
          type: number
          format: double
        hirag_gpu_usage_pct:
          type: number
          format: double
        hirag_gpu_memory_peak_mb:
          type: number
          format: double
        created_at:
          type: string

````